Home Forum Installazione Installazione MAC OS

Questo argomento contiene 19 risposte, ha 2 partecipanti, ed è stato aggiornato da  Giuseppe Vizziello 1 settimana, 1 giorno fa.

  • Autore
    Articoli
  • #5790 Risposta

    Giuseppe Saponara

    Ho scaricato la Leeno.otx, ma mi si apre la finestra Gestore Estensioni, che si blocca subito dopo. non mostrando alcun avanzamento della barra di caricamento.
    Libre Office 5.4.4 con macoos high Sierra

  • #5792 Risposta

    Giuseppe Vizziello
    Amministratore del forum

    Ciao Giuseppe,
    purtroppo non ho a disposizione una postazione MAC su cui provare, ma presumo ci siano i problemi che qualcuno ha riscontrato anche con Windows e che possono dipendere dall’impossibilità di aggiornare alcune librerie del sistema operativo.
    Comunque la versione 3.17.2 di LeenO lavora bene con LibreOffice 5.2.7, quindi installa quello.
    Se hai bisogno di un confronto in tempo reale puoi raggiungici su https://t.me/leeno_computometrico

  • #5844 Risposta

    Marco

    Salve, ho lo stesso errore che segnala Giuseppe Saponara e non riesco ad installare una versione più vecchia di LibreOffice

  • #6024 Risposta

    Matteo

    Ciao a tutti.. c’è stato qualche sviluppo riguardo l’installazione di leeno su Mac? pure io registro lo stesso problema di blocco all’avvio dell’estensione..

    • #6026 Risposta

      Giuseppe Vizziello
      Amministratore del forum

      Ciao Matteo,
      mi spiace, ma non ho nessuna novità in merito soprattutto perché, come già detto, non ho una Mac box con cui indagare il problema. Intanto giro il tuo messaggio sul canale Telegram, caso mai qualcuno avesse approfondito.

  • #7180 Risposta

    Mauro

    Ho tentato di installare Leeno 3.19.1 su Libreoffice 6.2.6 sotto OSX 10.14 ma mi appare il messaggio “Failed to register package for vnd.sun.star.expand:$UNO_USER_PACKAGES_CACHE/uno_packages/lu5463cno.tmp_/LeenO%25203.19.1.oxt/pyLeenO”. Qualcuno ha idea di come si possa risolvere?

  • #7181 Risposta

    Giuseppe Vizziello
    Amministratore del forum

    Ciao Mauro,
    Il nome del file di installazione deve essere necessariamente LeenO.oxt. Proprio in questi giorni sto cercando un modo che consenta l’installazione dell’applicazione con qualsiasi nome, ma mi tocca affrontare alcune particolari problematiche legate al mio ambiente di sviluppo. Spero di risolvere presto.
    Se ti servono altre info mi trovi sul canale Telegram dedicato.

  • #7208 Risposta

    Mauro

    Ciao Giuseppe,
    ho installato LeenO mantenendo il nome originale come mi hai indicato ed ha funzionato.
    Però ora quando apro il file di esempio “Esempio 210_LeenO 3.18.ods” mi appare il seguente errore:
    Errore di runtime BASIC.
    Si è verificata un’eccezione
    Type: com.sun.star.script.provider.ScriptFrameworkErrorException
    Message: <class ‘KeyError’>: ‘LeenO.oxt’
    File “/Applications/LibreOffice.app/Contents/Resources/pythonscript.py”, line 1039, in getScript
    self.provCtx.uriHelper.getStorageURI(scriptUri) );
    File “/Applications/LibreOffice.app/Contents/Resources/pythonscript.py”, line 409, in getStorageUrlFromPersistentUrl
    package = self.mapPackageName2Path[ packageName ]

    e LeenO non si carica.

  • #7210 Risposta

    Giuseppe Vizziello
    Amministratore del forum

    Nella pagina dei Requisiti di installazione trovi “Per i sistemi MAC, LeenO è funzionante con OSX High Sierra”.
    Verifica che non sia il caso tuo.

    Ciao.

  • #7226 Risposta

    Mauro

    Si però se non aggiorno il sistema operativo altre applicazioni (ad es. Vectorworks) non mi funzionano correttamente ed inoltre non mi sono garantiti gli aggiornamenti di sicurezza che Apple rilascia

    • #7230 Risposta

      Giuseppe Vizziello
      Amministratore del forum

      Sì, capisco perfettamente. Immagino dipenda dall’introduzione di Python, ma questo genere di problemi dovrebbero essere risolti ad un altro livello.
      Torno ad invitarti sul canale Telegram in quanto frequentato anche da alcuni utenti MAC. Magari puoi confrontarti con loro.

  • #7227 Risposta

    Mauro

    Poi, paradossalmente, l’installazione funziona con la vecchia versione 3.9.1 di Leeno che continua ad utilizzare regolarmente

  • #7231 Risposta

    Mauro

    Ok, grazie. Ora mi collego su Telegram

  • #7412 Risposta

    Mauro

    Dopo l’ultimo aggiornamento del sistema operativo a MacOS 10.14.6 LeenO ver. 3.19.1. ha iniziato a funzionare con una piccola eccezione: il pulsante “Adatta altezza righe selezionate” non funziona e mi rimangono tutte le descrizioni con solo la prima riga sia in computo che in elenco prezzi. C’è qualche impostazione che devo modificare?
    Grazie

    • #7416 Risposta

      Giuseppe Vizziello
      Amministratore del forum

      Ciao Mauro,
      è importante che tu mi indichi la versione di LibreOffice con cui stai lavorando.
      Questo problema è sorto a partire da LibreOffice 6.0 ed è stato allora che ho scritto quel comando.
      La situazione non è migliorata con i rilasci di LibreOffice 6.3.*, ma dovresti riuscire a lavorare senza grossi problemi con le versioni 6.2.*.

  • #7417 Risposta

    Mauro

    Lavoro con LibreOffice 6.2.7.1 perché con LibreOffice 6.3 mi da errore in fase di installazione di LeenO

  • #7419 Risposta

    Giuseppe Vizziello
    Amministratore del forum

    Se mi raggiungi sul gruppo di Telegram possiamo provare insieme.

    Ciao
    Giuseppe

  • #7421 Risposta

    Mauro

    Ciao Giuseppe, scusa l’ignoranza, non ho mai utilizzato Telegram. Come posso raggiungerti nel gruppo di Telegram?

  • #7422 Risposta

    Giuseppe Vizziello
    Amministratore del forum

    Nessuna ignoranza…
    Eccoti il link: https://t.me/leeno_computometrico

Rispondi a: Installazione MAC OS
Le tue informazioni:




Annulla